#!/usr/bin/python3
import random

run = True


def lotto():
    numbers = []
    supernum = []
    for i in range(1, 7):
        numbers.append(random.randint(1, 49))
        numstr = [str(x) for x in numbers]  # Hier wird mit list comprehension die Integer in String umgewandelt.
        numdic = dict.fromkeys(numstr)  # Dictionary von der Liste erstellen damit werden doppelte einträge entfernt.
        numstr = list(numdic)  # Dictionary wieder in Liste umwandeln

    supernum.append(random.randint(0, 9))
    if len(numstr) != 6:
        lotto()
    else:
        print(numstr, " Superzahl: ", supernum)


def euro_jack():
    numbers = []
    supernum = []
    for i in range(1, 6):
        numbers.append(random.randint(1, 50))
        numstr = [str(x) for x in numbers]  # Hier wird mit list comprehension die Integer in String umgewandelt.
        numdic = dict.fromkeys(numstr)  # Dictionary von der Liste erstellen damit werden doppelte einträge entfernt.
        numstr = list(numdic)  # Dictionary wieder in Liste umwandeln
    supernum.append(random.randint(1, 12))
    supernum.append(random.randint(1, 12))
    if len(numstr) != 5:
        euro_jack()
    elif supernum[0] != supernum[1]:
        print(numstr, " Eurozahlen: ", supernum)
    else:
        euro_jack()


def counts_lotto(uentry):
    for p in range(uentry):
        print()
        print("6 aud 49")
        lotto()


def counts_jack(uentry):
    for p in range(uentry):
        print()
        print("5 aus 50")
        euro_jack()


def main():
    global run
    while run:
        try:
            user = input("1 für Lotto 6 aus 49\n2 für Euro Jackpot\nMit q Programm beenden.\n")
            if user == "q":
                print("Bis bald...")
                break
            if user == "1":
                uentry = input("Wieviele Ziehungen ?\nMit q Programm beenden.\n")
                if uentry == "q":
                    print("Bis bald...")
                    break
                try:
                    uentry = int(uentry)
                    counts_lotto(uentry)
                    run = False

                except ValueError:
                    print("Bitte nur Zahlen eingeben!\n")

            elif user == "2":
                uentry = input("Wieviele Ziehungen ?\nMit q Programm beenden.\n")
                if uentry == "q":
                    print("Bis bald...")
                    break
                try:
                    uentry = int(uentry)
                    counts_jack(uentry)
                    run = False

                except ValueError:
                    print("Bitte nur Zahlen eingeben!\n")

            elif user != "1" or user != "2":
                print("Bitte nur 1 oder 2 eingeben!\n")

        except ValueError:
            print("Bitte nur Zahlen eingeben!\n")


if __name__ == '__main__':
    main()
